%define upstream_name    Email-Address-XS
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Parse and format RFC 2822 email addresses and groups
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-devel

%description
This module implements RFC 2822 parser and formatter of email addresses and
groups. It parses an input string from email headers which contain a list of
email addresses or a groups of email addresses (like From, To, Cc, Bcc,
Reply-To, Sender, ...). Also it can generate a string value for those headers
from a list of email addresses objects.

Parser and formatter functionality is implemented in XS and uses shared code
from Dovecot IMAP server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make_build CFLAGS="%{optflags}"

%check
LC_ALL=C make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/auto/Email/Address
%{perl_vendorarch}/Email/Address
%{_mandir}/*/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.40.0-5.mga8
+ Revision: 1594577
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.40.0-4.mga8
+ Revision: 1529454
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.40.0-3.mga8
+ Revision: 1433571
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.40.0-2.mga7
+ Revision: 1292828
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 guillomovitch <guillomovitch> 1.40.0-1.mga7
+ Revision: 1252818
- new version 1.04

* Mon Aug 06 2018 guillomovitch <guillomovitch> 1.30.0-2.mga7
+ Revision: 1248170
- rebuild for perl 5.28

* Sun Mar 18 2018 guillomovitch <guillomovitch> 1.30.0-1.mga7
+ Revision: 1210242
- new version 1.03

* Sat Feb 10 2018 guillomovitch <guillomovitch> 1.20.0-1.mga7
+ Revision: 1200089
- new version 1.02

* Sat Oct 28 2017 guillomovitch <guillomovitch> 1.10.0-1.mga7
+ Revision: 1174412
- new version 1.01

* Mon Oct 02 2017 tv <tv> 1.0.0-2.mga7
+ Revision: 1164286
- rebuild with fixed rpm for missing autodeps

* Sat Sep 09 2017 guillomovitch <guillomovitch> 1.0.0-1.mga7
+ Revision: 1152236
- imported package perl-Email-Address-XS

